package com.goer.project.model.dataType.service;

import java.util.List;
import com.goer.project.model.dataType.domain.DataType;

/**
 * 数据类型Service接口
 * 
 * @author goer
 * @date 2022-01-17
 */
public interface IDataTypeService 
{
    /**
     * 查询数据类型
     * 
     * @param id 数据类型主键
     * @return 数据类型
     */
    public DataType selectDataTypeById(Long id);

    /**
     * 查询数据类型列表
     * 
     * @param dataType 数据类型
     * @return 数据类型集合
     */
    public List<DataType> selectDataTypeList(DataType dataType);

    /**
     * 新增数据类型
     * 
     * @param dataType 数据类型
     * @return 结果
     */
    public int insertDataType(DataType dataType);

    /**
     * 修改数据类型
     * 
     * @param dataType 数据类型
     * @return 结果
     */
    public int updateDataType(DataType dataType);

    /**
     * 批量删除数据类型
     * 
     * @param ids 需要删除的数据类型主键集合
     * @return 结果
     */
    public int deleteDataTypeByIds(String ids);

    /**
     * 删除数据类型信息
     * 
     * @param id 数据类型主键
     * @return 结果
     */
    public int deleteDataTypeById(Long id);

    /**
     * 排序
     *
     * @param dataType
     * @return
     */
    public int sort(DataType dataType);
}
